Subject: Re: [PATCH -next] x86: apic_flat_64.c needs module.h

From: Randy Dunlap <[email-masked]>
Date: Mon, 23 May 2011 11:12:20 -0700

On 05/23/11 11:09, Cyrill Gorcunov wrote:
> On 05/23/2011 09:51 PM, Cyrill Gorcunov wrote:
>> On 05/23/2011 09:43 PM, Randy Dunlap wrote:
>>> From: Randy Dunlap <[email-masked]>
>>>
>>> apic_flat_64.c needs to include module.h to fix these warnings:
>>>
>>> arch/x86/kernel/apic/apic_flat_64.c:31: warning: data definition has no type or storage class
>>> arch/x86/kernel/apic/apic_flat_64.c:31: warning: type defaults to 'int' in declaration of 'EXPORT_SYMBOL_GPL'
>>> arch/x86/kernel/apic/apic_flat_64.c:31: warning: parameter names (without types) in function declaration
>>>
>>> Signed-off-by: Randy Dunlap <[email-masked]>
>>> ---
>>>  arch/x86/kernel/apic/apic_flat_64.c |    1 +
>>>  1 file changed, 1 insertion(+)
>>>
>>> --- linux-next-20110523.orig/arch/x86/kernel/apic/apic_flat_64.c
>>> +++ linux-next-20110523/arch/x86/kernel/apic/apic_flat_64.c
>>> @@ -16,6 +16,7 @@
>>>  #include <linux/ctype.h>
>>>  #include <linux/init.h>
>>>  #include <linux/hardirq.h>
>>> +#include <linux/module.h>
>>>  #include <asm/smp.h>
>>>  #include <asm/apic.h>
>>>  #include <asm/ipi.h>
>>
>> Thanks Randy! For some reason I didn't hit this problem while
>> were compiling the kernel and testing it (I usually do not use
>> modules though).
>>
>> I've CC'ed Ingo and Suresh.
>>
> 
> Randy, while adding module.h here is correct I fail to see why I didn't
> hit this problem before, could you please post your config?

Certainly, it's attached.  It's a randconfig file.
I saw this build error on roughly 5 out of 15 randconfig builds.

CONFIG_SMP is disabled...

Thanks.

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***